Python (SDK)
from finance_dev import FinanceDev, models
with FinanceDev(
security=models.Security(
client_id="<YOUR_CLIENT_ID_HERE>",
client_secret="<YOUR_CLIENT_SECRET_HERE>",
),
) as fd_client:
res = fd_client.stock_estimates.get_ebitda_estimate(symbol="AAPL", freq=models.ReportingFrequency.QUARTERLY)
assert res.ebitda_estimates_response is not None
# Handle response
print(res.ebitda_estimates_response)import { FinanceDev } from "@ariesdotcom/finance-dev";
const financeDev = new FinanceDev({
security: {
clientID: "<YOUR_CLIENT_ID_HERE>",
clientSecret: "<YOUR_CLIENT_SECRET_HERE>",
},
});
async function run() {
const result = await financeDev.stockEstimates.getEbitdaEstimate({
symbol: "AAPL",
freq: "quarterly",
});
console.log(result);
}
run();curl --request GET \
--url https://api.aries.com/v1/stock/ebitda-estimate \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/stock/ebitda-estimate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aries.com/v1/stock/ebitda-estimate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aries.com/v1/stock/ebitda-estimate"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aries.com/v1/stock/ebitda-estimate")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aries.com/v1/stock/ebitda-estimate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"ebitdaEstimates": {
"data": [
{
"ebitdaAvg": 41837998080,
"ebitdaHigh": 43157000192,
"ebitdaLow": 39904002048,
"numberAnalysts": 25,
"period": "2027-09-30",
"quarter": 4,
"year": 2027
},
{
"ebitdaAvg": 31958001664,
"ebitdaHigh": 33003999232,
"ebitdaLow": 30474000384,
"numberAnalysts": 25,
"period": "2027-06-30",
"quarter": 3,
"year": 2027
},
{
"ebitdaAvg": 29007001600,
"ebitdaHigh": 30011000832,
"ebitdaLow": 27699001344,
"numberAnalysts": 25,
"period": "2027-03-31",
"quarter": 2,
"year": 2027
}
],
"freq": "quarterly",
"symbol": "AAPL"
}
}
Stock Estimates
EBITDA Estimates
Retrieve analyst EBITDA (Earnings Before Interest, Taxes, Depreciation, and Amortization) estimates for profitability forecasting. Analyze operational earnings expectations.
Use Case: Calculate forward EV/EBITDA multiple using next year’s EBITDA consensus estimate.
GET
/
v1
/
stock
/
ebitda-estimate
Python (SDK)
from finance_dev import FinanceDev, models
with FinanceDev(
security=models.Security(
client_id="<YOUR_CLIENT_ID_HERE>",
client_secret="<YOUR_CLIENT_SECRET_HERE>",
),
) as fd_client:
res = fd_client.stock_estimates.get_ebitda_estimate(symbol="AAPL", freq=models.ReportingFrequency.QUARTERLY)
assert res.ebitda_estimates_response is not None
# Handle response
print(res.ebitda_estimates_response)import { FinanceDev } from "@ariesdotcom/finance-dev";
const financeDev = new FinanceDev({
security: {
clientID: "<YOUR_CLIENT_ID_HERE>",
clientSecret: "<YOUR_CLIENT_SECRET_HERE>",
},
});
async function run() {
const result = await financeDev.stockEstimates.getEbitdaEstimate({
symbol: "AAPL",
freq: "quarterly",
});
console.log(result);
}
run();curl --request GET \
--url https://api.aries.com/v1/stock/ebitda-estimate \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/stock/ebitda-estimate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aries.com/v1/stock/ebitda-estimate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aries.com/v1/stock/ebitda-estimate"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aries.com/v1/stock/ebitda-estimate")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aries.com/v1/stock/ebitda-estimate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"ebitdaEstimates": {
"data": [
{
"ebitdaAvg": 41837998080,
"ebitdaHigh": 43157000192,
"ebitdaLow": 39904002048,
"numberAnalysts": 25,
"period": "2027-09-30",
"quarter": 4,
"year": 2027
},
{
"ebitdaAvg": 31958001664,
"ebitdaHigh": 33003999232,
"ebitdaLow": 30474000384,
"numberAnalysts": 25,
"period": "2027-06-30",
"quarter": 3,
"year": 2027
},
{
"ebitdaAvg": 29007001600,
"ebitdaHigh": 30011000832,
"ebitdaLow": 27699001344,
"numberAnalysts": 25,
"period": "2027-03-31",
"quarter": 2,
"year": 2027
}
],
"freq": "quarterly",
"symbol": "AAPL"
}
}
Authorizations
Query Parameters
Was this page helpful?